import { Component } from '@angular/core';
import { ApiService } from './api.service';
import AppStorage from './app.storage';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  public static token: string = null;

  title = 'METAsocket';

  public constructor(private apiService: ApiService)
  {
    AppComponent.token = AppStorage.getToken();
  }

  public getToken(): string
  {
    return AppComponent.token;
  }
}
